<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:py="http://purl.org/kid/ns#"
    py:extends="'master.kid'">

<head>
    <meta content="text/html; charset=UTF-8" http-equiv="content-type" py:replace="''"/>
    <title>High Scores for S.T.I.M.</title>
    <link rel="stylesheet" type="text/css" href="/static/css/style.css" />
</head>

<body align="center">
    <p style="font-size: 20px;color:#FFFFFF;">
        <img src="static/images/e02.gif" alt="" width="16" height="9" border="0"/>
        &nbsp;&nbsp;
        <b>High Scores for S.T.I.M.</b>
        <br/>
        <table cellpadding="0px" cellspacing="0px" width="100%">
            <tr>
                <td py:for="l in levels">
                    <a class="t01" style="font-size:15px;font-weight:bold;" py:if="l == level">
                        ${l.name[0].upper()+l.name[1:]}
                    </a>
                    <a class="t01" href="viewHighScore?level=${l.id}" py:if="l != level">
                        ${l.name[0].upper()+l.name[1:]}
                    </a>
                </td>
            </tr>
        </table>
    </p>
    <table width="100%" class="scoreTable">
        <tr>
            <td height="2" background="static/images/dots_w.gif" colspan="6">
                <img src="static/images/px1.gif" alt="" width="1" height="1" border="0"/>
            </td>
        </tr>
        <tr>
            <td py:for="c in cols">
                <span py:if="c == sort">
                <a href="viewHighScore?sort=${c}&amp;level=${level.id}" py:if="order == 'desc'">
                    <b>${c[0].upper()+c[1:]} [-]</b>
                </a>
                <a href="viewHighScore?sort=${c}&amp;level=${level.id}&amp;order=desc" py:if="order != 'desc'">
                    <b>${c[0].upper()+c[1:]} [+]</b>
                </a>
                </span>
                <a href="viewHighScore?sort=${c}&amp;level=${level.id}" py:if="c != sort">
                    <b>${c[0].upper()+c[1:]}</b>
                </a>
            </td>
        </tr>
        <tr>
            <td height="2" background="static/images/dots_w.gif" colspan="6">
                <img src="static/images/px1.gif" alt="" width="1" height="1" border="0"/>
            </td>
        </tr>
        <tr style="background-color:#CFE2F2;" py:for="s in scoreList">
            <td class="t01" style="background-color:#aa7755;" py:if="s.id == highlight">
                ${s.userName}
            </td>
            <td class="t01" py:if="s.id != highlight">
                ${s.userName}
            </td>
            <td class="t01">
                ${"$%.2f" % s.replicationCost}
            </td>
            <td class="t01">
                ${"$%.2f" % s.researchCost}
            </td>
            <td class="t01">
                ${str(s.buildTime)}
            </td>
            <td class="t01">
                ${str(s.executionTime)}
            </td>
        </tr>
    </table>
</body>
</html>