from sqlobject import *
from turbogears.database import PackageHub

hub = PackageHub("stim")
__connection__ = hub

class HighScoreEntry(SQLObject):
    userName = StringCol(length=100)
    userIp = StringCol(length=15)
    replicationCost = IntCol()
    researchCost = IntCol()
    buildTime = IntCol()
    executionTime = IntCol()
    level = ForeignKey('Level') 
    machine = BLOBCol()
    
    @property
    def highScoreId():
        return self.id
    
class Level(SQLObject):
    name = StringCol(length=50, alternateID=True)
    highScoreEntries = MultipleJoin('HighScoreEntry')